<!DOCTYPE html>
<html>
<head>
<title> Task 13R Pizza 365</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload="onPageLoading()">

<!-- Menu -->
<div class="container-fluid bg-light">
  <div class="row">
    <div class="col-sm-12">
      <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav nav-fill w-100">
            <li class="nav-item active">
              <a class="nav-link" href="#">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#plans">Plans</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#about">About</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="viewOrder.html" id="id-vieworder">Order Detail</a>
            </li>
          </ul>
        </div>
      </nav>
    </div>
  </div>
</div>

<!-- Content -->
<div class="container" style="padding: 120px 0 50px 0;">
  <div class="row">
    <div class="col-sm-12">
      <div class="row">
        <!-- Title row home -->
        <div class="col-sm-12">
          <h1><b>Pizza 365
            Truly italian !
            </b></h1> 
        </div>

        <!-- Slide row home -->
        <div class="col-sm-12">
          <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
              <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>

            </ol>
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Second slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/mon_y_5.jpg" alt="Second slide">
              </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="sr-only">Next</span>
            </a>
          </div>
        </div

        <!-- Title what we offer -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
        </div>

        <!-- Content what we offer -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-3 p-4 bg-white border">
              <h3 class="p-2">Không ngừng cải tiến</h3>
              <p class="p-2">Cải tiến sản phẩm, chất lượng và trải nghiệm</p>
            </div>
            <div class="col-sm-3 p-4 bg-light border">
              <h3 class="p-2">Trải nghiệm dễ dàng</h3>
              <p class="p-2">Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của mọi nhà</p>
            </div>
            <div class="col-sm-3 p-4 bg-warning text-white border">
              <h3 class="p-2">Hướng đến sự vượt trội</h3>
              <p class="p-2">'Vượt trội" không chỉ là một trải nghiệm lớn.Thay vào đó giá trị này là cốt lỗi trong mỗi con người của chúng tôi</p>
            </div>
            <div class="col-sm-3 p-4 bg-danger text-white border">
              <h3 class="p-2">Thể hiện sự đam mê</h3>
              <p class="p-2">Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều chỉnh tùy theo thử thách để tìm giải pháp.</p>
            </div>
          </div>
        </div>
      </div>

      <div id="plans" class="row">
        <!-- Title what we offer -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
          <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
        </div>
        <!-- Content what we offer -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-4">
              <div class="card">
                <div class="card w-100" style="width: 18rem;">
                </div>
                <div class="card-header bg-danger text-white text-center">
                  <h3>S(smail)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item">Đường kính: <b>20cm</b></li>
                    <li class="list-group-item">Sườn nướng: <b>2</b></li>
                    <li class="list-group-item">Salad: <b>200 g</b></li>
                    <li class="list-group-item">Nước ngọt: <b>2</b></li>
                    <li class="list-group-item"><h1>150.000</h1><b>VND</b></li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button class="btn btn-success" data-is-selected-menu = "N" id="btn-small" onclick="onBtnSmailSizeClick()">Chọn</button>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card w-100" style="width: 18rem;">
                </div>
                <div class="card-header bg-warning text-white text-center">
                  <h3>M (medium)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item">Đường kính: <b>25cm</b></li>
                    <li class="list-group-item">Sườn nướng: <b>4</b></li>
                    <li class="list-group-item">Salad: <b>300 g</b></li>
                    <li class="list-group-item">Nước ngọt: <b>3</b></li>
                    <li class="list-group-item"><h1>200.000</h1><b>VND</b></li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button class="btn btn-success" data-is-selected-menu = "N" id="btn-medium" onclick="onBtnMediumSizeClick()">Chọn</button>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card w-100" style="width: 18rem;">
                </div>
                <div class="card-header bg-danger text-white text-center">
                    <h3>L (large)</h3>  
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item">Đường kính: <b>30cm</b></li>
                    <li class="list-group-item">Sườn nướng: <b>8</b></li>
                    <li class="list-group-item">Salad: <b>500 g</b></li>
                    <li class="list-group-item">Nước ngọt: <b>4</b></li>
                    <li class="list-group-item"><h1>250.000</h1><b>VND</b></li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <button class="btn btn-success" data-is-selected-menu = "N" id="btn-large" onclick="onBtnLargeSizeClick()">Chọn</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div id="about" class="row">
        <!-- Title Who We Are -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
        </div>

        <!-- Content Who We Are -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_1.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>Pizza Gà</h3>
                  <p>Hơi Ngon</p>
                  <p>Làm từ bột mì , gà , nấm</p>
                  <p><button class="btn btn-success w-100 data-is-selected-pizza = "N" id="btn-ga" onclick="onBtnGaClick()">Chọn</button></p>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_2.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>Pizza Hải sản</h3>
                  <p>Rất Ngon</p>
                  <p>Làm từ Bột mì, tôm, cá , mực</p>
                  <p><button class="btn btn-success w-100 data-is-selected-pizza = "N" id="btn-hai-san" onclick="onBtnHaiSanClick()">Chọn</button></p>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card w-100" style="width: 18rem;">
                <img src="images/pizza_type_3.jpg" class="card-img-top">
                <div class="card-body">
                  <h3>Pizza thịt nướng</h3>
                  <p>Cực Ngon</p>
                  <p>Làm tù bột mì, thịt xông khói</p>
                  <p><button class="btn btn-success w-100 data-is-selected-pizza = "N" id="btn-thit-nuong" onclick="onBtnThitNuongClick()">Chọn</button></p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>


      <div class="col-sm-12 text-center p-4 mt-4">
        <label style="font-size: 2rem;"><b class="p-2 border-bottom" >Hãy chọn đồ uống bạn yêu thích</b></label><br>
        <select name="do uong" id="id-select-do-uong" class=" form-select col-sm-12 text-center p-3 mt-4 ">
          <option value="0">Chọn Đồ uống</option>
        </select>
      </div>

      <div id="contact" class="row">
        <!-- Title Contact Us -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
        </div>

        <!-- Content Contact Us -->
        <div class="col-sm-12 p-2 jumbotron">
          <div class="row">
            <div class="col-sm-12">
              <div class="form-group">
                <label for="inp-name">Họ và tên</label>
                <input type="text" class="form-control" id="inp-name" placeholder="Họ và tên" />
              </div>
              <div class="form-group">
                <label for="email">Email</label>
                <input type="text" class="form-control" id="inp-email" placeholder="Email" />
              </div>
              <div class="form-group">
                <label for="inp-phone">Điện thoại</label>
                <input type="text" class="form-control" id="inp-phone" placeholder="Điện thoại" />
              </div>
              <div class="form-group">
                <label for="inp-address">Địa chỉ</label>
                <input type="text" class="form-control" id="inp-address" placeholder="Địa chỉ" />
              </div>
              <div class="form-group">
                <label for="message">Lời nhắn</label>
                <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn" />
              </div>
              <div class="form-group">
                <label for="inp-voucher">Mã giảm giá ( Voucher ID)</label>
                <input type="text" class="form-control" id="inp-voucher" placeholder="Mã voucher..." />
              </div>
              <button type="button" class="btn btn-success w-100" id="btn-makeOder" onclick="onBtnKiemTraDonClick()">
                Kiểm tra đơn
              </button>

            </div>
          </div>
        </div>
        <!-- vùng hiển thị thông tin đơn hàng(order) -->
        <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
          <div id="div-order-infor" class="text-white p-3">...</div>
          <div class="p-2">
            <button type="button" class="btn btn-warning w-100" onclick="onBtnGuiDonClick()">
              Gửi đơn
            </button>
          </div>
        </div>
        <div id="div-container-ordercode" class="container bg-warning p-2 jumbotron" style="display: none">
          <div id="div-ordercode-info" class="text-normal p-3">...</div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Footer -->
<div class="container-fluid bg-light p-5">
  <div class="row text-center">
    <div class="col-sm-12">
      <h4 class="m-2">Footer</h4>
      <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
      <div class="m-2">
        <i class="fa fa-facebook-official w3-hover-opacity"></i>
        <i class="fa fa-instagram w3-hover-opacity"></i>
        <i class="fa fa-snapchat w3-hover-opacity"></i>
        <i class="fa fa-pinterest-p w3-hover-opacity"></i>
        <i class="fa fa-twitter w3-hover-opacity"></i>
        <i class="fa fa-linkedin w3-hover-opacity"></i>
      </div>
    </div>
  </div>
</div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gREQUEST_STATUS_OK = 200; // GET & PUT success
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201;

  // danh sách các mã giảm giá
  var gDiscountVouchers = [
    { voucherID: "A1", percentDiscount: 20 }, // mã giảm giá là A1, phần trăm giảm giá 20%
    { voucherID: "A2", percentDiscount: 10 },
    { voucherID: "A3", percentDiscount: 5 },
    { voucherID: "A4", percentDiscount: 30 },
    { voucherID: "A5", percentDiscount: 20 },
    { voucherID: "B1", percentDiscount: 25 },
    { voucherID: "B2", percentDiscount: 15 },
    { voucherID: "B3", percentDiscount: 5 },
    { voucherID: "B4", percentDiscount: 30 },
    { voucherID: "B5", percentDiscount: 40 },
  ];

  // các combo Pizza
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";

  // các loại pizza
  const gPIZZA_TYPE_GA = "Ga";
  const gPIZZA_TYPE_HAI_SAN = "HaiSan";
  const gPIZZA_TYPE_THIT_NUONG = "thitnuong";

  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  //hàm gọi trang
  function onPageLoading(){
    onBtnGetDrinkListClick();
  }
  // hàm được gọi khi bấm nút chọn kích cỡ S
  function onBtnSmailSizeClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh combo, combo được chọn là Small, đổi nút, và đánh dấu
    // data-is-selected-menu của nút Basic là Y, các nút khác là N
    changeComboButtonColor(gCOMBO_SMALL);
    //tạo một đối tượng menu, được tham số hóa
    var vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
    // gọi method hiển thị thông tin
    vSelectedMenuStructure.displayInConsoleLog();
  }
  // hàm được gọi khi bấm nút chọn kích cỡ M
  function onBtnMediumSizeClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh combo, combo được chọn là Medium, đổi nút, và đánh dấu
    // data-is-selected-menu của nút Basic là Y, các nút khác là N
    changeComboButtonColor(gCOMBO_MEDIUM);
    //tạo một đối tượng menu, được tham số hóa
    var vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
    // gọi method hiển thị thông tin
    vSelectedMenuStructure.displayInConsoleLog();
  }
  // hàm được gọi khi bấm nút chọn kích cỡ L
  function onBtnLargeSizeClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh combo, combo được chọn là Large, đổi nút, và đánh dấu
    // data-is-selected-menu của nút Basic là Y, các nút khác là N
    changeComboButtonColor(gCOMBO_LARGE);
    //tạo một đối tượng menu, được tham số hóa
    var vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
    // gọi method hiển thị thông tin
    vSelectedMenuStructure.displayInConsoleLog();
  }
  // hàm được gọi khi bấm nút chọn loại pizza gà
  function onBtnGaClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh loại pizza, loại pizza được chọn là GÀ , đổi nút, và đánh dấu
    // data-is-selected-pizza của nút gà là Y, các nút khác là N
    changeTypeButtonColor(gPIZZA_TYPE_GA);
    // ghi loại pizza đã chọn ra console
    console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_GA);
  }
  // hàm được gọi khi bấm nút chọn loại pizza Hải sản
  function onBtnHaiSanClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh loại pizza, loại pizza được chọn là Hải sản, đổi nút, và đánh dấu
    // data-is-selected-pizza của nút Hải sản là Y, các nút khác là N
    changeTypeButtonColor(gPIZZA_TYPE_HAI_SAN);
    // ghi loại pizza đã chọn ra console
    console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_HAI_SAN);
  }
  // hàm được gọi khi bấm nút chọn loại pizza Hun khói
  function onBtnThitNuongClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh loại pizza, loại pizza được chọn là Bacon, đổi nút, và đánh dấu
    // data-is-selected-pizza của nút Bacon là Y, các nút khác là N
    changeTypeButtonColor(gPIZZA_TYPE_THIT_NUONG);
    // ghi loại pizza đã chọn ra console
    console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_THIT_NUONG);
  }
  // Hàm được gọi khi click nút kiểm tra đơn
  function onBtnKiemTraDonClick() {
    console.log("%c Kiểm tra đơn", "color: orange;");
    // Bước 1: Đọc
    var vOrder = getOrder();
    //Bước 2: kiểm tra
    var vKetQuaKiemTra = checkValidatedForm(vOrder);
    if (vKetQuaKiemTra) {
      //Bước 3: Hiển thị
      showOrderInfo(vOrder)
    }
  }

  //Hàm được gọi khi ấn nút Gửi đơn
  function onBtnGuiDonClick(){
    createOder();
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //function get combo (lấy menu được chọn)
  //function trả lại một đối tượng combo (menu được chọn) được tham số hóa
  function getComboSelected(
    paramMenuName,
    paramDuongKinhCM,
    paramSuongNuong,
    paramSaladGr,
    paramDrink,
    paramPriceVND
  ) {
    var vSelectedMenu = {
      menuName: paramMenuName, // S, M, L
      duongKinhCM: paramDuongKinhCM,
      suongNuong: paramSuongNuong,
      saladGr: paramSaladGr,
      drink: paramDrink,
      priceVND: paramPriceVND,
      displayInConsoleLog() {
        console.log("%cPLAN MENU COMBO - .........", "color:blue");
        console.log(this.menuName); //this = "đối tượng này"
        console.log("duongKinhCM: " + this.duongKinhCM);
        console.log("suongNuong: " + this.suongNuong);
        console.log("saladGr: " + this.saladGr);
        console.log("drink:" + this.drink);
        console.log("priceVND: " + this.priceVND);
      },
    };
    return vSelectedMenu;
  }

  // hàm thu thập(đọc) thông tin khách hàng
  function getOrder() {
    var vBtnBasic = document.getElementById("btn-small"); // truy vấn nút chọn kích cỡ small
    var vMenuBasicDaChon = vBtnBasic.getAttribute("data-is-selected-menu");
    var vBtnMedium = document.getElementById("btn-medium"); //truy vấn nút chọn kích cỡ medium
    var vMenuMediumDaChon = vBtnMedium.getAttribute("data-is-selected-menu");
    var vBtnLarge = document.getElementById("btn-large"); //truy vấn nút chọn kích cỡ large
    var vMenuLargeDaChon = vBtnLarge.getAttribute("data-is-selected-menu");
    var vSelectedMenuStructure = getComboSelected("", 0, 0, 0, 0, 0);
    if (vMenuBasicDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
    }
    else if (vMenuMediumDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
    }
    else if (vMenuLargeDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
    }
    var vBtnGa = document.getElementById("btn-ga"); // truy vấn nút chọn loại pizza gà
    var vPizzaGaDaChon = vBtnGa.getAttribute("data-is-selected-pizza");
    var vBtnHaiSan = document.getElementById("btn-hai-san"); //truy vấn nút chọn loại pizza hải sản
    var vPizzaHaiSanDaChon = vBtnHaiSan.getAttribute("data-is-selected-pizza");
    var vBtnThitNuong = document.getElementById("btn-thit-nuong"); //truy vấn nút chọn loại pizza bacon
    var vPizzaThitNuongDaChon = vBtnThitNuong.getAttribute("data-is-selected-pizza");
    var vLoaiPizza = "";
    if (vPizzaGaDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_GA;
    }
    else if (vPizzaHaiSanDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_HAI_SAN;
    }
    else if (vPizzaThitNuongDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_THIT_NUONG;
    }
    var vElementInputName = document.getElementById("inp-name");
    var vValueInputName = vElementInputName.value;

    var vElementInputEmail = document.getElementById("inp-email");
    var vValueInputEmail = vElementInputEmail.value;

    var vElementInputPhone = document.getElementById("inp-phone");
    var vValueInputPhone = vElementInputPhone.value;

    var vElementInputAddress = document.getElementById("inp-address");
    var vValueInputAddress = vElementInputAddress.value;

    var vElementInputMessage = document.getElementById("inp-message");
    var vValueInputMessage = vElementInputMessage.value;

    var vElementInputVoucherID = document.getElementById("inp-voucher");
    var vValueInputVoucherID = vElementInputVoucherID.value;

    var vElementDrinkSelect = document.getElementById("id-select-do-uong");
    var vValueDrinkSelect = vElementDrinkSelect.value;
    // khái báo biến để chứa phần trăm giảm giá
    var vPercent = 0;
    // goi ham tinh phan tram
    var vVoucherObj = onBtnCheckVoucherClick(vValueInputVoucherID);
    if (vValueInputVoucherID != ""  && vVoucherObj != null) {
      vPercent = vVoucherObj.phanTramGiamGia;
    }else if (vValueInputVoucherID != ""  && vVoucherObj == null){
      alert("voucher không tồn tại ")
    }
    var vOrderInfo = {
      menuCombo: vSelectedMenuStructure,
      loaiPizza: vLoaiPizza,
      loaiNuocUong: vValueDrinkSelect,
      hoVaTen: vValueInputName,
      email: vValueInputEmail,
      dienThoai: vValueInputPhone,
      diaChi: vValueInputAddress,
      loiNhan: vValueInputMessage,
      voucher: vValueInputVoucherID,
      phanTramGiamGia: vPercent,
      priceAnnualVND: function () {
        var vTotal = this.menuCombo.priceVND * (1 - this.phanTramGiamGia / 100);
        return vTotal;
      }
    };
    return vOrderInfo;
  }

  // ham kiem tra thong tin dat hang
  // input: doi tuong khach hang
  // output: dung/ sai (true/ false)
  function checkValidatedForm(paramOrder) { 
    if (paramOrder.menuCombo.menuName === "") {
      alert("Chọn size ...");
      return false;
    }
    if (paramOrder.loaiPizza === "") {
      alert("Chọn loại pizza...");
      return false;
    }
    if(paramOrder.loaiNuocUong === "0"){
      alert("Chọn loại đồ uống ... ");
      return false;
    }
    if (paramOrder.hoVaTen === "") {
      alert("Nhập họ và tên");
      return false;
    }
    if (isEmail(paramOrder.email) == false) {
      return false;
    }

    if (paramOrder.dienThoai === "") {
      alert("Nhập vào số điện thoại...");
      return false;
    }
    if (paramOrder.diaChi === "") {
      alert("Địa chỉ không để trống...");
      return false;
    }
    return true;
  }
  // hàm đổi mầu nút khi chọn combo
  function changeComboButtonColor(paramPlan) {
    var vBtnBasic = document.getElementById("btn-small"); // truy vấn nút chọn kích cỡ small
    var vBtnMedium = document.getElementById("btn-medium"); //truy vấn nút chọn kích cỡ medium
    var vBtnLarge = document.getElementById("btn-large"); //truy vấn nút chọn kích cỡ large

    if (paramPlan === gCOMBO_SMALL) {
      //nếu chọn menu Small thì thay màu nút chọn kích cỡ small bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.className = "btn btn-warning";
      vBtnBasic.setAttribute("data-is-selected-menu", "N");
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "Y");
      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");

    } else if (paramPlan === gCOMBO_MEDIUM) {
      //nếu chọn menu Medium thì thay màu nút chọn kích cỡ Medium bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.className = "btn btn-success";
      vBtnBasic.setAttribute("data-is-selected-menu", "N");
      vBtnMedium.className = "btn btn-warning";
      vBtnMedium.setAttribute("data-is-selected-menu", "Y");
      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");
    } else if (paramPlan === gCOMBO_LARGE) {
      //nếu chọn menu Large thì thay màu nút chọn kích cỡ Large bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.className = "btn btn-success";
      vBtnBasic.setAttribute("data-is-selected-menu", "N");
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");
      vBtnLarge.className = "btn btn-warning";
      vBtnLarge.setAttribute("data-is-selected-menu", "Y");
    }
  }

  // hàm đổi mầu nút khi chọn loại pizza
  function changeTypeButtonColor(paramType) {
    var vBtnGa = document.getElementById("btn-ga"); // truy vấn nút chọn loại pizza gà
    var vBtnHaiSan = document.getElementById("btn-hai-san"); //truy vấn nút chọn loại pizza hải sản
    var vBtnThitNuong = document.getElementById("btn-thit-nuong"); //truy vấn nút chọn loại pizza bacon

    if (paramType === gPIZZA_TYPE_GA) {
      //nếu chọn loại pizza Gà thì thay màu nút chọn loại pizza gà bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-pizza
      vBtnGa.className = "btn btn-warning w-100";
      vBtnGa.setAttribute("data-is-selected-pizza", "Y");
      vBtnHaiSan.className = "btn btn-success w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");
      vBtnThitNuong.className = "btn btn-success w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza", "N");
    } else if (paramType === gPIZZA_TYPE_HAI_SAN) {
      //nếu chọn loại pizza Hải sản thì thay màu nút chọn loại pizza Hải sản bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-pizza
      vBtnGa.className = "btn btn-success w-100";
      vBtnGa.setAttribute("data-is-selected-pizza", "N");
      vBtnHaiSan.className = "btn btn-warning w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "Y");
      vBtnThitNuong.className = "btn btn-success w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza", "N");
    } else if (paramType === gPIZZA_TYPE_THIT_NUONG) {
      //nếu chọn loại pizza Bacon thì thay màu nút chọn loại pizza Bacon bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-pizza
      vBtnGa.className = "btn btn-success w-100";
      vBtnGa.setAttribute("data-is-selected-pizza", "N");
      vBtnHaiSan.className = "btn btn-success w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");
      vBtnThitNuong.className = "btn btn-warning w-100";
      vBtnThitNuong.setAttribute("data-is-selected-pizza", "Y");
    }
  }

  // Hàm tìm kiếm voucher trong Array
  function getVoucherById(paramVoucherID) {
    "use strict";
    var vVoucherIndex = 0;
    var vIsFound = false; // đã tìm thấy voucher chưa?
    var vVoucherObj = null; // đối tượng chứa voucher được tìm thấy
    // Khi chưa tìm thấy voucher và chưa tìm hết voucher: thì còn tìm tiếp
    while (vIsFound == false && vVoucherIndex < gDiscountVouchers.length) {
      // tìm voucher tiếp
      if (gDiscountVouchers[vVoucherIndex].voucherID == paramVoucherID) {
        vIsFound = true;
        vVoucherObj = gDiscountVouchers[vVoucherIndex];
      } else {
        vVoucherIndex++;
      }
    }
    return vVoucherObj;
  }
  //hàm kiểm tra email
  function isEmail(paramEmail) {
    if (paramEmail < 3) {
      alert("Nhập email...");
      return false;
    }
    if (paramEmail.indexOf("@") === -1) {
      alert("Email phải có ký tự @");
      return false;
    }
    if (paramEmail.startsWith("@") === true) {
      alert("Email không bắt đầu bằng @");
      return false;
    }
    if (paramEmail.endsWith("@") === true) {
      alert("Email kết thúc bằng @");
      return false;
    }
    return true;
  }
  /// hàm show thông tin đặt hàng
  function showOrderInfo(paramOrder) {
    var vDivContainer = document.getElementById("div-container-order");
    var vDivOrderInfo = document.getElementById("div-order-infor");
    vDivContainer.style.display = "block";
    vDivOrderInfo.innerHTML = "Họ và tên: " + paramOrder.hoVaTen + "<br>";
    vDivOrderInfo.innerHTML += "Email: " + paramOrder.email + "<br>";
    vDivOrderInfo.innerHTML += "Địa chỉ: " + paramOrder.diaChi + "<br>";
    vDivOrderInfo.innerHTML += "Lời nhắn: " + paramOrder.loiNhan + "<br>";
    vDivOrderInfo.innerHTML += "....................................." + "<br>";
    vDivOrderInfo.innerHTML += "Kích cỡ: " + paramOrder.menuCombo.menuName + "<br>";
    vDivOrderInfo.innerHTML += "Đường kính: " + paramOrder.menuCombo.duongKinhCM + "<br>";
    vDivOrderInfo.innerHTML += "Sườn nướng: " + paramOrder.menuCombo.suongNuong + "<br>";
    vDivOrderInfo.innerHTML += "Salad : " + paramOrder.menuCombo.saladGr + "<br>";
    vDivOrderInfo.innerHTML += "Nước Ngọt : " + paramOrder.menuCombo.drink + "<br>";
    vDivOrderInfo.innerHTML += "Loại nước uống : " + paramOrder.loaiNuocUong + "<br>";
    vDivOrderInfo.innerHTML += "....................................." + "<br>";
    vDivOrderInfo.innerHTML += "Loại pizza : " + paramOrder.loaiPizza + "<br>";
    vDivOrderInfo.innerHTML += "Mã voucher : " + paramOrder.voucher + "<br>";
    vDivOrderInfo.innerHTML += "Giá vnd : " + paramOrder.menuCombo.priceVND + "<br>";
    vDivOrderInfo.innerHTML += "Discount %: " + paramOrder.phanTramGiamGia + "<br>";
    vDivOrderInfo.innerHTML += "Phải thanh toán vnd: " + paramOrder.priceAnnualVND();
  }


  function onBtnGetDrinkListClick() {
    "use strict";
    var vBASE_URL ="http://203.171.20.210:8080/devcamp-pizza365/drinks";
    var vXhttp = new XMLHttpRequest();
    vXhttp.open("GET", vBASE_URL, true);
    vXhttp.send();
    vXhttp.onreadystatechange = function() {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
          var vResponse = JSON.parse(vXhttp.responseText);
          var vDrink = document.getElementById("id-select-do-uong");
                for (var vIndex = 0; vIndex < vResponse.length ; vIndex++){
                  var vIndexOption = vIndex + 1;
                  var vOption = document.createElement("option");
                  vOption.value = vResponse[vIndex].maNuocUong;
                  vDrink.appendChild(vOption);
                  vDrink.options[vIndexOption].text = vResponse[vIndex].tenNuocUong;
                }
        }
    };
  }
 function onBtnCheckVoucherClick(paramVoucherID){
    "use strict";
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail";
    var vVoucherId = paramVoucherID;  //một số mã đúng để test: 95531, 81432,...lưu ý test cả mã sai
    if (vVoucherId === ""){
      return;
    }
    // nếu mã giảm giấ đã nhập, tạo vXmlHttp request và gửi về server
    var vXmlHttp = new XMLHttpRequest();
    vXmlHttp.open("GET", vBASE_URL + "/" + vVoucherId, false);
    vXmlHttp.send(null);
    if(vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
        // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
        console.log(vXmlHttp.responseText);     
        var vResponse = JSON.parse(vXmlHttp.responseText);
        return vResponse
    } 
  }
  function createOder() {
            //base url
            const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
        // khai báo object order để chứa thông tin đặt hàng với 14 thuộc tính
        var vOrder = getOrder();

        var vObjectRequest = {
            kichCo: vOrder.menuCombo.menuName,
            duongKinh: vOrder.menuCombo.duongKinhCM,
            suon: vOrder.menuCombo.suongNuong,
            salad: vOrder.menuCombo.saladGr,
            loaiPizza: vOrder.loaiPizza,
            idVourcher: vOrder.voucher,
            idLoaiNuocUong: vOrder.loaiNuocUong,
            soLuongNuoc: vOrder.menuCombo.drink,
            hoTen: vOrder.hoVaTen,
            thanhTien: vOrder.priceAnnualVND(),
            email: vOrder.email,
            soDienThoai: vOrder.dienThoai,
            diaChi: vOrder.diaChi,
            loiNhan: vOrder.loiNhan
        }

        var vXmlHttpCreateOrder = new XMLHttpRequest();
        vXmlHttpCreateOrder.open("POST", vBASE_URL, true);
        vXmlHttpCreateOrder.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
        vXmlHttpCreateOrder.send(JSON.stringify(vObjectRequest));
        vXmlHttpCreateOrder.onreadystatechange =
            function () {
                if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS) { // status 201 tao thanh cong
                    var vCreatedOrder = vXmlHttpCreateOrder.responseText;
                    console.log(vCreatedOrder);
                    var vResponse = JSON.parse(vCreatedOrder);
                    var vHienThiDonHang = document.getElementById("div-container-order");
                    var vHienThiOderCode = document.getElementById("div-container-ordercode");
                    var vOderCode = document.getElementById("div-ordercode-info");
                    vOderCode.innerHTML = "";
                    vHienThiDonHang.style.display = "none";
                    vHienThiOderCode.style.display = "block";
                    var vTheP = document.createElement("p");
                    vTheP.innerHTML = "Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:" + "<br>" +
                    "Mã đơn hàng: " + vResponse.orderCode;
                    vOderCode.appendChild(vTheP);
                    var vViewOrder = document.getElementById("id-vieworder");
                    vViewOrder.getAttribute("data-id");
                    vViewOrder.getAttribute("data-ordercode");
                    vViewOrder.dataset.id = vResponse.id;
                    vViewOrder.dataset.ordercode = vResponse.orderCode;
                    var vId = vViewOrder.dataset.id;
                    var vOderCode = vViewOrder.dataset.ordercode;
                    const vDETAIL_FORM_URL = "viewOrder.html";
                    var vUrlSiteToOpen = vDETAIL_FORM_URL +
                    "?ordercode=" + vOderCode + "&id=" + vId;
                    vViewOrder.href = vUrlSiteToOpen; 

                }
            }
  }
  
</script>
</html>
